Index: /ipk/source.sh4/keymaps_neutrino/CONTROL/control
===================================================================
--- /ipk/source.sh4/keymaps_neutrino/CONTROL/control	(revision 23474)
+++ /ipk/source.sh4/keymaps_neutrino/CONTROL/control	(revision 23474)
@@ -0,0 +1,11 @@
+Package: titan-plugin-keymaps-neutrino
+Version: 1.0
+Architecture: sh4
+OE: Keymap Neutrino 
+Section: keymaps
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: Neutrino Keymap
+Showname: Neutrino Keymap 
Index: /ipk/source.sh4/keymaps_neutrino/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/keymaps_neutrino/CONTROL/postinst	(revision 23474)
+++ /ipk/source.sh4/keymaps_neutrino/CONTROL/postinst	(revision 23474)
@@ -0,0 +1,23 @@
+#!/bin/sh
+TMP=/tmp/.keymaps
+
+#. /mnt/config/titan.cfg
+
+#if [ ! -f /mnt/config/rcmap.old ]; then
+#	mv /mnt/config/rcmap $rcmapfile
+#fi
+
+echo "successful installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+
+
+
+exit 0
Index: /ipk/source.sh4/keymaps_neutrino/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/keymaps_neutrino/CONTROL/postrm	(revision 23474)
+++ /ipk/source.sh4/keymaps_neutrino/CONTROL/postrm	(revision 23474)
@@ -0,0 +1,21 @@
+#!/bin/sh
+TMP=/tmp/.keymaps
+echo "Erfolgreich deinstalliert..."
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+#. /mnt/config/titan.cfg
+#rm $rcmapfile
+#mv $rcmapfile.old $rcmapfile
+rm /mnt/config/rcmap
+mv /mnt/config/rcmap.old /mnt/config/rcmap
+
+
+exit 0
Index: /ipk/source.sh4/keymaps_neutrino/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/keymaps_neutrino/CONTROL/preinst	(revision 23474)
+++ /ipk/source.sh4/keymaps_neutrino/CONTROL/preinst	(revision 23474)
@@ -0,0 +1,52 @@
+#!/bin/sh
+#
+TMP=/tmp/.bootlogos
+
+model=`cat /etc/model`
+echo""
+echo "Überprüfe Boxtype...."
+echo "Manche Plugins funktionieren nicht auf ihrer $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=20
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "Überprüfe Betriebssystem..."	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+#. /mnt/config/titan.cfg
+#mv $rcmapfile $rcmapfile.old
+mv /mnt/config/rcmap /mnt/config/rcmap.old
+
+echo "installiere keymap ..."
+
+exit 0
Index: /ipk/source.sh4/keymaps_neutrino/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/keymaps_neutrino/CONTROL/prerm	(revision 23474)
+++ /ipk/source.sh4/keymaps_neutrino/CONTROL/prerm	(revision 23474)
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+TMP=/tmp/.keymap
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "Deinstalliere Neutrino Keymap"
+exit 0
Index: /ipk/source.sh4/keymaps_neutrino/mnt/config/rcmap
===================================================================
--- /ipk/source.sh4/keymaps_neutrino/mnt/config/rcmap	(revision 23474)
+++ /ipk/source.sh4/keymaps_neutrino/mnt/config/rcmap	(revision 23474)
@@ -0,0 +1,8 @@
+channellist#rcleft#rcfr
+channellist#rcright#rcff
+
+infobar#rcup#rcchup
+infobar#rcdown#rcchdown
+
+channellist#rcchup#rcleft
+channellist#rcchdown#rcright
